Bug 866191 - resume from hibernate fails at all
resume from hibernate fails at all
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 11:29 EDT by Mike Heller
Modified: 2013-07-31 22:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:18:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (61.95 KB, text/plain)
2012-10-14 11:29 EDT, Mike Heller
no flags Details
dmesg output kernel 3.6.2-4 (61.34 KB, text/plain)
2012-10-24 13:33 EDT, Mike Heller
no flags Details

  None (edit)
Description Mike Heller 2012-10-14 11:29:02 EDT
Created attachment 627001 [details]
dmesg output

Description of problem:
computer boots normally instead of resuming from hibernation since kernel 3.5. With my actual running kernel 3.4.6-2 resume/hibernation works like a charm

Version-Release number of selected component (if applicable):

kernel 3.6.1-1.fc17.i686.PAE fails at all

How reproducible:
hibernate the computer an reboot

Steps to Reproduce:
1. hibernate
2. boot
3.
  
Actual results:
normal boot instead of resume from hibernation

Expected results:
reload the hibernation image correctly

Additional info:
couldn't find any helpful message either with dmesg nor in messages nor boot.log. the only I found out in dmesg is "PM: Hibernation image not present or could not be loaded." dmesg output added
Comment 1 Mike Heller 2012-10-24 13:32:18 EDT
resume from hibernation still fails with latest kernel 3.6.2-4.fc17.i686.PAE with message in dmesg output:

PM: Hibernation image not present or could not be loaded.
Comment 2 Mike Heller 2012-10-24 13:33:25 EDT
Created attachment 632904 [details]
dmesg output kernel 3.6.2-4
Comment 3 Mike Heller 2012-12-10 15:28:31 EST
still the same error during resume from hibernation with latest kernel 3.6.9-2.fc17.i686.PAE:

PM: Hibernation image not present or could not be loaded.
Comment 4 Jaroslav Škarvada 2012-12-10 18:36:23 EST
Does it work with resume=/dev/sda2 kernel boot parameter?
Comment 5 Mike Heller 2012-12-11 02:24:56 EST
Yes, it works with this kernel parameter!
Comment 6 Mike Heller 2012-12-11 12:12:12 EST
only for my clarification:

is this not part of the kernel to find the swap partition itself or do I need to add the parameter permanently?
Comment 7 Jaroslav Škarvada 2012-12-12 04:11:24 EST
(In reply to comment #6)
> only for my clarification:
> 
> is this not part of the kernel to find the swap partition itself or do I
> need to add the parameter permanently?

I think this is job of dracut to autodetect your resume partition. Could you try to recreate your swap by:
# swapoff /dev/sda2
# mkswap /dev/sda2
# swapon /dev/sda2

Let me know whether it helps.
Comment 8 Mike Heller 2012-12-13 02:00:00 EST
No, recreation of swap partition didn't helped.

on the other hand what I do not understand is why I have this issue only on one out of 3 operational fedora instances? And swap is always sda2 I guess...
Comment 9 Fedora End Of Life 2013-07-03 19:32:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 22:18:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.